Bug 1083025 (Hosted_Engine_External_GlusterFS) - [RFE][HC] - Hosted Engine Support for GlusterFS
Summary: [RFE][HC] - Hosted Engine Support for GlusterFS
Keywords:
Status: CLOSED ERRATA
Alias: Hosted_Engine_External_GlusterFS
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Sandro Bonazzola
QA Contact: Elad
URL:
Whiteboard:
Depends On: oVirt_Hosted_Engine_GlusterFS 1220310 1242344 1254499 1258205 1269176
Blocks: Hosted_Engine_HC
TreeView+ depends on / blocked
 
Reported: 2014-04-01 10:48 UTC by Scott Herold
Modified: 2016-03-09 18:50 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
With this release, Gluster storage can be used as a data domain on the Self-Hosted Engine.
Clone Of:
Environment:
Last Closed: 2016-03-09 18:50:52 UTC
oVirt Team: Integration
Target Upstream Version:
sherold: Triaged+
ylavi: testing_beta_priority+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0375 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2016-03-09 23:48:34 UTC
oVirt gerrit 36264 None None None Never

Description Scott Herold 2014-04-01 10:48:43 UTC
Description of problem:
Need to add support to Hosted Engine for Gluster running with libgfapi

Version-Release number of selected component (if applicable):
3.5

Comment 4 Elad 2015-07-30 13:41:28 UTC
Gluster mount fails with: glusterfs-3.7.3-1.el7.x86_64
https://bugzilla.redhat.com/show_bug.cgi?id=1248067

Therefore, setting 1248067 as blocks for the feature.

Comment 6 Elad 2015-08-18 16:47:55 UTC
The feature is blocked due to https://bugzilla.redhat.com/show_bug.cgi?id=1254499

Comment 7 Elad 2015-11-02 13:08:19 UTC
Test plan executed and passed. 
https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_Storage_Hosted_Engine_Gluster_support_26_10_15

2 cases failed, opened the following BZs:
https://bugzilla.redhat.com/show_bug.cgi?id=1275606
https://bugzilla.redhat.com/show_bug.cgi?id=1275210

Used:
ovirt-hosted-engine-ha-1.3.1-1.el7ev.noarch
ovirt-host-deploy-1.4.0-1.el7ev.noarch
ovirt-vmconsole-host-1.0.0-1.el7ev.noarch
ovirt-vmconsole-1.0.0-1.el7ev.noarch
ovirt-hosted-engine-setup-1.3.0-1.el7ev.noarch
libgovirt-0.3.3-1.el7.x86_64
ovirt-setup-lib-1.0.0-1.el7ev.noarch
vdsm-cli-4.17.10-5.el7ev.noarch

vdsm-infra-4.17.10-5.el7ev.noarch
vdsm-xmlrpc-4.17.10-5.el7ev.noarch
vdsm-python-4.17.10-5.el7ev.noarch
vdsm-4.17.10-5.el7ev.noarch
vdsm-yajsonrpc-4.17.10-5.el7ev.noarch
vdsm-jsonrpc-4.17.10-5.el7ev.noarch

glusterfs-client-xlators-3.7.1-16.el7.x86_64
glusterfs-rdma-3.7.1-16.el7.x86_64
glusterfs-cli-3.7.1-16.el7.x86_64
glusterfs-fuse-3.7.1-16.el7.x86_64
glusterfs-libs-3.7.1-16.el7.x86_64
glusterfs-api-3.7.1-16.el7.x86_64
glusterfs-devel-3.7.1-16.el7.x86_64
glusterfs-api-devel-3.7.1-16.el7.x86_64
glusterfs-3.7.1-16.el7.x86_64

Comment 10 errata-xmlrpc 2016-03-09 18:50:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0375.html


Note You need to log in before you can comment on or make changes to this bug.